Pular para o conteúdo principal
POST
/
api
/
v1
/
search
/
graphrag
/
stores
Python (SDK)
from mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.search.graphrag.create_graph_rag_store(store_name="vendor_network", embedding_model="auto", extraction_model="auto", chunk_size=800, chunk_overlap=120, max_hops=2)

    # Handle response
    print(res)
{
  "message": "GraphRAG store created successfully",
  "store_name": "vendor_network"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mka1.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Corpo

application/json
store_name
string
obrigatório

Nome da loja GraphRAG

Minimum string length: 1
embedding_model
string
obrigatório

Identificador do modelo de incorporação

Minimum string length: 1
extraction_model
string
obrigatório

ID do modelo LLM usado para extração de entidades e relações

Minimum string length: 1
chunk_size
integer
padrão:800

Tamanho máximo do bloco em caracteres

Intervalo obrigatório: 100 <= x <= 10000
chunk_overlap
integer
padrão:120

Sobreposição de segmentos em caracteres

Intervalo obrigatório: 0 <= x <= 5000
max_hops
integer
padrão:2

Profundidade máxima de expansão do gráfico durante consultas em modo gráfico

Intervalo obrigatório: 1 <= x <= 4

Resposta

Resposta Bem-Sucedida

store_name
string
obrigatório
message
string
obrigatório